@import url('https://fonts.googleapis.com/css2?family=Anta&display=swap');

* {
    margin: 0;
    padding: 0;

    /* Garante que o padding não aumente o tamanho da div */
    box-sizing: border-box;
}

body {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    align-content: center;

    font-family: Roboto, Arial, sans-serif;
    font-size: 1em;
    margin: 0;
    padding: 0;

    width: 100%;
    /* Evita rolagem lateral fantasma */
    overflow-x: hidden;

    color: white;

    background-image: linear-gradient(to bottom, #6b2727, #210a0a);
}

/*** Ícones Outlined Variável ***/
.material-symbols-outlined {
    font-variation-settings:
        'FILL' 0,
        'wght' 400,
        'GRAD' 0,
        'opsz' 24
}

.container {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    align-content: center;

    height: 100dvh;
    width: 100%;

    min-height: fit-content;
}

.cabecalho {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    align-content: center;

    margin-top: 2rem;
}

.cabecalho p {
    line-height: 2rem;
}

.cabecalho :nth-child(1) {
    font-weight: 500;
    letter-spacing: 0.04rem;
    font-size: 1.2rem;
}

.cabecalho :nth-child(2) {
    font-family: "Anta", sans-serif;
    font-size: 1.5rem;
    line-height: 1.6rem;
    font-weight: 500;
    color: gold;
    text-align: center;
}

.box {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    align-content: center;

    border: 1.6px solid white;
    border-radius: 10px;

    height: fit-content;
    width: fit-content;

    margin-top: 2rem;
    margin-bottom: 2.4rem;

    padding: 1.3rem 1rem 2rem 1rem;

    background-color: #792a2a6e;
}

input {
    font-size: 1.3rem;
    margin: 0;
    padding: 0.15rem;
    margin-top: -0.4rem;
    margin-bottom: 1rem;
    color: #6b2727;
    font-weight: 600;

    /* width: 90vw; */
    max-width: 13rem;

}

h1 {
    font-size: 1.6rem;
    text-align: center;
    font-weight: 500;
    margin-top: 0.5rem;
    margin-bottom: 1rem;
}

.formulario {
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.formulario label {
    display: flex;
    justify-content: space-between;
    align-items: center;

    font-size: 1.3rem;
    line-height: 1.8;

    padding: 0;
    margin: 0;
}

.formulario label span {
    font-size: 1.5rem;
    margin: 0;
    padding: 0;
}

button {
    font-size: 1.5rem;

    margin-top: 1.5rem;
    padding: 0.3rem;

    /* width: 17.6rem; */

    border-radius: 30px;
    background-image: linear-gradient(#dbdbdb, #ffffff);
    border: solid 1px #9f9f9f;

    border-right-width: 4px;
    border-bottom-width: 4px;
    font-size: 1.2rem;

    color: #4d2020;

    text-transform: uppercase;
    font-weight: 700;
}